> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> List the Extensions.

# List Extensions

For the complete error reference, see [Error Guide](/rest-api/management-apis/error-codes).


## OpenAPI

````yaml get /apps/{appId}/extensions
openapi: 3.0.0
info:
  title: Management APIs (Multi-Tenancy)
  description: Create and manage apps on-the-fly using our app management APIs
  version: '1.0'
servers:
  - url: https://apimgmt.cometchat.io
security: []
tags:
  - name: App
    description: The Rest collection for app.
  - name: Extensions
    description: The REST collections for extensions.
  - name: Extensions
    description: The REST collections for Chat widgets.
  - name: Extensions
    description: The REST collections for Giphy extension.
  - name: Extensions
    description: The REST collections for XSS Filter extension.
  - name: Extensions
    description: The REST collections for Image Moderation extension.
  - name: Extensions
    description: The REST collections for Report user extension.
  - name: Extensions
    description: The REST collections for Report message extension.
  - name: Extensions
    description: The REST collections for Sentiment analysis extension.
  - name: Extensions
    description: The REST collections for Voice transcription extension.
  - name: Extensions
    description: The REST collections for Stipop extension.
  - name: Extensions
    description: The REST collections for TinyURL extension.
  - name: Extensions
    description: The REST collections for Intercom extension.
  - name: Extensions
    description: The REST collections for Bitly extension.
  - name: Extensions
    description: The REST collections for Rich media preview extension.
  - name: Extensions
    description: The REST collections for Virus Malware Scanner extension.
  - name: Extensions
    description: The REST collections for Video Broadcasting extension.
  - name: Extensions
    description: The REST collections for Tenor gifs extension.
  - name: Extensions
    description: The REST collections for End-to-end encryption extension.
  - name: Extensions
    description: The REST collections for In-flight message moderation extension.
  - name: Extensions
    description: The REST collections for Stickers extension.
  - name: Extensions
    description: The REST collections for Data masking extension.
  - name: Extensions
    description: The REST collections for Email replies extension.
  - name: Extensions
    description: The REST collections for SMS Notification extension.
  - name: Extensions
    description: The REST collections for Push notification extension.
  - name: Extensions
    description: The REST collections for Chatwoot extension.
  - name: Extensions
    description: The REST collections for Message shortcuts extension.
  - name: Extensions
    description: The REST collections for Email Notification extension.
  - name: Team Management
    description: The REST collections for team management.
  - name: Settings
    description: The REST collections for Settings.
  - name: Extensions
    description: The REST collections for Profanity-filter extension.
  - name: Webhooks
    description: The REST collections for Webhooks.
  - name: Moderation
    description: The REST collections for Moderations.
paths:
  /apps/{appId}/extensions:
    get:
      tags:
        - Extensions
      summary: List Extensions
      description: List the Extensions.
      operationId: list-extensions
      parameters:
        - $ref: '#/components/parameters/key'
        - $ref: '#/components/parameters/secret'
        - $ref: '#/components/parameters/appId'
        - $ref: '#/components/parameters/perPage--extensions'
      responses:
        '200':
          description: Enabled/Disabled Extension
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      '':
                        $ref: '#/components/schemas/extensionListSchema'
                    type: object
                  meta:
                    properties:
                      '':
                        $ref: '#/components/schemas/metaSchema'
                    type: object
                type: object
              example:
                data:
                  - id: widget
                    name: Chat Widget
                    tagLine: Drag-n-drop chat plugin for your website
                    description: Drag-n-drop chat plugin for your website
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://widget-eu.cometchats.io
                    accessToAppData: false
                    adminURL: >-
                      https://widget-eu.cometchat.io/v1/show-setting?appToken=BArL8wLC1jkTws5bgH1DDvAMDevHdiAmMI5NGyQXs-I=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1591812821
                    hooks:
                      data: []
                    categories:
                      data: []
                  - id: document
                    name: Collaborative document
                    tagLine: Allows you create and share documents for collaboration
                    description: Allows you create and share documents for collaboration
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://document-eu.cometchat.io/v1/create
                    accessToAppData: false
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1592815197
                    hooks:
                      data: []
                    categories:
                      data: []
                  - id: whiteboard
                    name: Collaborative whiteboard
                    tagLine: Allows you create and share whiteboards for collaboration
                    description: Allows you create and share whiteboards for collaboration
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://whiteboard-eu.cometchat.io/v1/create
                    accessToAppData: false
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1595838286
                    hooks:
                      data: []
                    categories:
                      data: []
                  - id: data-masking
                    name: Data Masking
                    tagLine: >-
                      Hide phone numbers, email addresses and other sensitive
                      information in messages.
                    description: >-
                      Hide phone numbers, email addresses and other sensitive
                      information in messages.
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://data-masking-eu.cometchat.io/v1/filter
                    accessToAppData: false
                    adminURL: >-
                      https://data-masking-eu.cometchat.io/v1/show-setting?appToken=DSjVCnryJFoSIgvIaCJUWF5sS1mMLy7V-pD6HoNlA3A=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1592815197
                    hooks:
                      data:
                        - hook: before_message
                          description: >-
                            The hook will be triggered before adding message to
                            database.
                          isActive: true
                          enabled: 1
                          createdAt: 1552383451
                    categories:
                      data: []
                  - id: email-notification
                    name: Email Notification
                    tagLine: Notify users via email for unread messages.
                    description: Notify users via email for unread messages.
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://email-notification-eu.cometchat.io/v1/send-email
                    accessToAppData: false
                    adminURL: >-
                      https://email-notification-eu.cometchat.io/v1/show-setting?appToken=c2JH61Mw2dnThPa_tHfP284hF6-8kbAvVfIlNSSzgKk=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: true
                    createdAt: 1568373595
                    hooks:
                      data:
                        - hook: after_message
                          description: The hook triggers after sending a message.
                          isActive: true
                          enabled: 1
                          createdAt: 1555001765
                    categories:
                      data: []
                  - id: email-replies
                    name: Email Replies
                    tagLine: Reply to texts directly via emails
                    description: >-
                      Replying in a conversation from Email notifications just
                      got simpler. With Email Replies, users can respond in a
                      conversation by replying to the email.
                    author: CometChat
                    email: help@cometchat.com
                    accessToAppData: false
                    adminURL: >-
                      https://email-replies-eu.cometchat.io/v1/show-setting?appToken=slIAhyFb4PCG5R4dJBM4lTlYTdYznNORCBPL-Rxw_Qs=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1592815197
                    hooks:
                      data: []
                    categories:
                      data: []
                  - id: emojis
                    name: Emojis
                    tagLine: Emojis for web
                    description: Emojis for web
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://emojis-eu.cometchat.io/v1/emojis
                    accessToAppData: false
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1592829829
                    hooks:
                      data:
                        - hook: before_message
                          description: >-
                            The hook will be triggered before adding message to
                            database.
                          isActive: true
                          enabled: 1
                          createdAt: 1552383451
                    categories:
                      data: []
                  - id: gifs-gfycat
                    name: Gfycat
                    tagLine: Get the best GIFS for all your conversations
                    description: Get the best GIFS for all your conversations
                    author: CometChat
                    email: help@cometchat.com
                    accessToAppData: false
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1622447638
                    hooks:
                      data: []
                    categories:
                      data: []
                  - id: gifs-giphy
                    name: Giphy
                    tagLine: Be Animated
                    description: Be Animated
                    author: CometChat
                    email: help@cometchat.com
                    accessToAppData: false
                    adminURL: >-
                      https://gifs-giphy-eu.cometchat.io/v1/show-setting?appToken=Lv2_oE3L6JHOMbOiNNBjWsi0v6mV9r-aKVLofy_KZ7s=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1622447638
                    hooks:
                      data: []
                    categories:
                      data: []
                  - id: image-moderation
                    name: Image Moderation
                    tagLine: AI-powered image moderation to detect unsafe content.
                    description: AI-powered image moderation to detect unsafe content.
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://image-moderation-eu.cometchat.io/v1/analyze
                    accessToAppData: false
                    adminURL: >-
                      https://image-moderation-eu.cometchat.io/v1/show-setting?appToken=cDnVkg8SFY7wjiaHjpGWyTqYaw9ekcrk-tAHhSyxkDc=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: true
                    createdAt: 1568373925
                    hooks:
                      data:
                        - hook: before_message
                          description: >-
                            The hook will be triggered before adding message to
                            database.
                          isActive: true
                          enabled: 1
                          createdAt: 1552383451
                    categories:
                      data: []
                  - id: report-user
                    name: Report User
                    tagLine: Enable users to report other users
                    description: Enable users to report other users
                    author: CometChat
                    email: help@cometchat.com
                    accessToAppData: false
                    adminURL: >-
                      https://report-user-eu.cometchat.io/v1/show-setting?appToken=cDnVkg8SFY7wjiaHjpGWyTqYaw9ekcrk-tAHhSyxkDc=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1655375268
                    hooks:
                      data: []
                    categories:
                      data: []
                  - id: report-message
                    name: Report User
                    tagLine: Enable users to report messages in chat
                    description: Enable users to report messages in chat
                    author: CometChat
                    email: help@cometchat.com
                    accessToAppData: false
                    adminURL: >-
                      https://report-message-eu.cometchat.io/v1/show-setting?appToken=cDnVkg8SFY7wjiaHjpGWyTqYaw9ekcrk-tAHhSyxkDc=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1655447120
                    hooks:
                      data: []
                    categories:
                      data: []
                  - id: stickers-stipop
                    name: Stipop
                    tagLine: >-
                      Used to create meaningful experiences in your app with
                      stickers that users love.
                    description: >-
                      Used to create meaningful experiences in your app with
                      stickers that users love.
                    author: CometChat
                    email: help@cometchat.com
                    accessToAppData: false
                    adminURL: >-
                      https://stickers-stipop-eu.cometchat.io/v1/show-setting?appToken=cDnVkg8SFY7wjiaHjpGWyTqYaw9ekcrk-tAHhSyxkDc=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: true
                    createdAt: 1655375268
                    hooks:
                      data: []
                    categories:
                      data: []
                  - id: url-shortener-tinyurl
                    name: TinyURL
                    tagLine: >-
                      Helps you convert your long website links into short,
                      manageable URLs that are reliable, secure and never
                      expire.
                    description: >-
                      Helps you convert your long website links into short,
                      manageable URLs that are reliable, secure and never
                      expire.
                    author: CometChat
                    email: help@cometchat.com
                    accessToAppData: false
                    adminURL: >-
                      https://url-shortener-tinyurl-eu.cometchat.io/v1/show-setting?appToken=cDnVkg8SFY7wjiaHjpGWyTqYaw9ekcrk-tAHhSyxkDc=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: true
                    createdAt: 1655375268
                    hooks:
                      data: []
                    categories:
                      data: []
                  - id: url-shortener-bitly
                    name: Bitly
                    tagLine: >-
                      Helps you create and share branded links with custom
                      domains at scale
                    description: >-
                      Helps you create and share branded links with custom
                      domains at scale
                    author: CometChat
                    email: help@cometchat.com
                    accessToAppData: false
                    adminURL: >-
                      https://url-shortener-bitly-eu.cometchat.io/v1/show-setting?appToken=cDnVkg8SFY7wjiaHjpGWyTqYaw9ekcrk-tAHhSyxkDc=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: true
                    createdAt: 1655375268
                    hooks:
                      data: []
                    categories:
                      data: []
                  - id: human-moderation
                    name: In-flight Message Moderation
                    tagLine: >-
                      Manually moderate content to ensure a safe messaging
                      environment.
                    description: >-
                      Manually moderate content to ensure a safe messaging
                      environment.
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: >-
                      https://human-moderation-eu.cometchat.io/v1/moderate-message
                    accessToAppData: false
                    adminURL: >-
                      https://human-moderation-eu.cometchat.io/v1/show-setting?appToken=-NxCcxlAt1qBHn8nibcc98qw5XqTmFB4QYCbJaGO3fo=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: true
                    createdAt: 1568373980
                    hooks:
                      data:
                        - hook: before_message
                          description: >-
                            The hook will be triggered before adding message to
                            database.
                          isActive: true
                          enabled: 1
                          createdAt: 1552383451
                    categories:
                      data: []
                  - id: link-preview
                    name: Link Preview
                    tagLine: Generate meta description for URLs.
                    description: Generate meta description for URLs.
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://link-preview-eu.cometchat.io/v1/generate-preview
                    accessToAppData: false
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: true
                    createdAt: 1568374120
                    hooks:
                      data:
                        - hook: before_message
                          description: >-
                            The hook will be triggered before adding message to
                            database.
                          isActive: true
                          enabled: 1
                          createdAt: 1552383451
                    categories:
                      data: []
                  - id: mentions
                    name: Mentions
                    tagLine: Mention users in conversations
                    description: Mention users in conversations
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://mentions-eu.cometchat.io/v1/save
                    accessToAppData: false
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1622447638
                    hooks:
                      data:
                        - hook: after_message
                          description: The hook triggers after sending a message.
                          isActive: true
                          enabled: 1
                          createdAt: 1555001765
                    categories:
                      data: []
                  - id: voice-transcription
                    name: Voice transcription
                    tagLine: Used to transcribe Audio Messages
                    description: Used to transcribe Audio Messages
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://voice-transcription-eu.cometchat.io/v1/transcribe
                    accessToAppData: false
                    adminURL: >-
                      https://voice-transcription-eu.cometchat.io/v1/show-setting?appToken=NTxjUhEcKA1uIQ-lCyaYy0hrM2C77fs8y6wRtEZ04wg=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: true
                    createdAt: 1622447638
                    hooks:
                      data:
                        - hook: after_message
                          description: The hook triggers after sending a message.
                          isActive: true
                          enabled: 1
                          createdAt: 1555001765
                    categories:
                      data: []
                  - id: message-translation
                    name: Message Translation
                    tagLine: Translate text messages in different languages on-the-fly.
                    description: Translate text messages in different languages on-the-fly.
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://message-translation-eu.cometchat.io/v1/translate
                    accessToAppData: false
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: true
                    createdAt: 1568373749
                    hooks:
                      data:
                        - hook: before_message
                          description: >-
                            The hook will be triggered before adding message to
                            database.
                          isActive: true
                          enabled: 1
                          createdAt: 1552383451
                    categories:
                      data: []
                  - id: pin-message
                    name: Pin Message
                    tagLine: Pin messages in group conversations
                    description: Pin message for all the users in a conversation.
                    author: CometChat
                    email: help@cometchat.com
                    accessToAppData: false
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1614671943
                    hooks:
                      data: []
                    categories:
                      data: []
                  - id: polls
                    name: Polls
                    tagLine: Polls to quickly ask for opinions in chats
                    description: Polls to quickly ask for opinions in chats
                    author: CometChat
                    email: help@cometchat.com
                    accessToAppData: false
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1594721219
                    hooks:
                      data: []
                    categories:
                      data: []
                  - id: profanity-filter
                    name: Profanity Filter
                    tagLine: Detect and censor profanity in messages.
                    description: Detect and censor profanity in messages.
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://profanity-filter-eu.cometchat.io/v1/filter
                    accessToAppData: false
                    adminURL: >-
                      https://profanity-filter-eu.cometchat.io/v1/show-setting?appToken=NTxjUhEcKA1uIQ-lCyaYy0hrM2C77fs8y6wRtEZ04wg=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1568373871
                    hooks:
                      data:
                        - hook: before_message
                          description: >-
                            The hook will be triggered before adding message to
                            database.
                          isActive: true
                          enabled: 1
                          createdAt: 1552383451
                    categories:
                      data: []
                  - id: push-notification
                    name: Push Notification
                    tagLine: Notify users via push notifications.
                    description: Notify users via push notifications.
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://push-notification-eu.cometchat.io/v1/send-push
                    accessToAppData: false
                    adminURL: >-
                      https://push-notification-eu.cometchat.io/v1/show-sett*ing?appToken=TW6rWujmViKwmmPfp68L4kK_YGWCaYw_wLYjtr0R1-A=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1568373479
                    hooks:
                      data:
                        - hook: after_auth_token_created
                          description: The hook triggers after the auth token is created.
                          isActive: true
                          enabled: 1
                          createdAt: 1589548874
                        - hook: after_auth_token_deleted
                          description: The hook triggers after the auth token is deleted.
                          isActive: true
                          enabled: 1
                          createdAt: 1589548874
                        - hook: after_auth_token_updated
                          description: The hook triggers after the auth token is updated.
                          isActive: true
                          enabled: 1
                          createdAt: 1589548874
                        - hook: after_group_created
                          description: The hook triggers after group is created.
                          isActive: true
                          enabled: 1
                          createdAt: 1589548874
                        - hook: after_group_deleted
                          description: The hook triggers after group is deleted.
                          isActive: true
                          enabled: 1
                          createdAt: 1589548874
                        - hook: after_group_joined
                          description: The hook triggers after user joins a group.
                          isActive: true
                          enabled: 1
                          createdAt: 1589548874
                        - hook: after_group_left
                          description: The hook triggers after user leaves a group.
                          isActive: true
                          enabled: 1
                          createdAt: 1589548874
                        - hook: after_group_members_added
                          description: The hook triggers after members are added to group.
                          isActive: true
                          enabled: 1
                          createdAt: 1589548874
                        - hook: after_group_members_banned
                          description: >-
                            The hook triggers after members are banned from
                            group.
                          isActive: true
                          enabled: 1
                          createdAt: 1589548874
                        - hook: after_group_members_kicked
                          description: The hook triggers after member is kicked from group.
                          isActive: true
                          enabled: 1
                          createdAt: 1589548874
                        - hook: after_group_members_unbanned
                          description: >-
                            The hook triggers after members are unbanned from
                            group.
                          isActive: true
                          enabled: 1
                          createdAt: 1589548874
                        - hook: after_logged_out
                          description: The hook triggers after user logs out.
                          isActive: true
                          enabled: 1
                          createdAt: 1589548874
                        - hook: after_message
                          description: The hook triggers after sending a message.
                          isActive: true
                          enabled: 1
                          createdAt: 1555001765
                        - hook: after_scope_changed
                          description: The hook will be triggered after changing the scope.
                          isActive: true
                          enabled: 1
                          createdAt: 1552383451
                        - hook: after_user_deleted
                          description: The hook triggers after user is deleted.
                          isActive: true
                          enabled: 1
                          createdAt: 1589548874
                    categories:
                      data: []
                  - id: reactions
                    name: Reactions
                    tagLine: >-
                      React to an individual message with a specific emotion
                      quickly.
                    description: >-
                      React to an individual message with a specific emotion
                      quickly.
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://reactions-eu.cometchat.io/v1/react
                    accessToAppData: false
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1592815197
                    hooks:
                      data: []
                    categories:
                      data: []
                  - id: rich-media
                    name: Rich Media Preview
                    tagLine: Generate rich media previews for all popular sites
                    description: Generate rich media previews for all popular sites
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://rich-media-eu.cometchat.io/v1/preview
                    accessToAppData: false
                    adminURL: >-
                      https://rich-media-eu.cometchat.io/v1/show-setting?appToken=08RBa07frnTq8VnnGpR6XeHaKCHwplEXcsevSP5xz*Q4=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: true
                    createdAt: 1592815197
                    hooks:
                      data:
                        - hook: after_message
                          description: The hook triggers after sending a message.
                          isActive: true
                          enabled: 1
                          createdAt: 1555001765
                    categories:
                      data: []
                  - id: save-message
                    name: Save Message
                    tagLine: Saved messages in one-on-one and group conversations
                    description: >-
                      Enable users to save messages from one-on-one and group
                      conversations\n
                    author: CometChat
                    email: help@cometchat.com
                    accessToAppData: false
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1614671960
                    hooks:
                      data: []
                    categories:
                      data: []
                  - id: sentiment-analysis
                    name: Sentiment Analysis
                    tagLine: AI-powered sentiment analysis for messages.
                    description: AI-powered sentiment analysis for messages.
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://sentiment-analysis-eu.cometchat.io/v1/analyze
                    accessToAppData: false
                    adminURL: >-
                      https://sentiment-analysis-eu.cometchat.io/v1/show-setting?appToken=TEj2rzc_KW_lvlzMnVBUgWnEjmOHhZ_mVs4yktn37s0=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: true
                    createdAt: 1568374255
                    hooks:
                      data:
                        - hook: before_message
                          description: >-
                            The hook will be triggered before adding message to
                            database.
                          isActive: true
                          enabled: 1
                          createdAt: 1552383451
                    categories:
                      data: []
                  - id: smart-reply
                    name: Smart Reply
                    tagLine: Suggest ML-powered ready replies for messages.
                    description: Suggest ML-powered ready replies for messages.
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://smart-reply-eu.cometchat.io/v1/fetch-reply
                    accessToAppData: false
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: true
                    createdAt: 1568374179
                    hooks:
                      data:
                        - hook: before_message
                          description: >-
                            The hook will be triggered before adding message to
                            database.
                          isActive: true
                          enabled: 1
                          createdAt: 1552383451
                    categories:
                      data: []
                  - id: sms-notification
                    name: SMS Notification
                    tagLine: Notify users via sms for unread messages.
                    description: Notify users via sms for unread messages.
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://sms-notification-eu.cometchat.io/v1/send-sms
                    accessToAppData: false
                    adminURL: >-
                      https://sms-notification-eu.cometchat.io/v1/show-sett*ing?appToken=6E7gznI3V1RJHCxAb8J7aUZBlltU2c6W7iydzfrWIGM=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: true
                    createdAt: 1568373671
                    hooks:
                      data:
                        - hook: after_message
                          description: The hook triggers after sending a message.
                          isActive: true
                          enabled: 1
                          createdAt: 1555001765
                    categories:
                      data: []
                  - id: gifs-tenor
                    name: Tenor Gifs
                    tagLine: Send Gifs
                    description: Send Gifs
                    author: CometChat
                    email: help@cometchat.com
                    accessToAppData: false
                    adminURL: >-
                      https://gifs-tenor-eu.cometchat.io/v1/show-setting?appToken=08RBa07frnTq8VnnGpR6XeHaKCHwplEXcsevSP5xz*Q4=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: true
                    createdAt: 1592815197
                    hooks:
                      data: []
                    categories:
                      data: []
                  - id: e2ee
                    name: End-to-end Encryption
                    tagLine: >-
                      End-to-end encryption is intended to prevent data being
                      read or modified by anyone but the sender and
                      recipient(s).
                    description: >-
                      End-to-end encryption is intended to prevent data being
                      read or modified by anyone but the sender and
                      recipient(s).
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://e2ee-eu.cometchat.io/v1/action
                    accessToAppData: false
                    adminURL: >-
                      https://e2ee-eu.cometchat.io/v1/show-setting?appToken=08RBa07frnTq8VnnGpR6XeHaKCHwplEXcsevSP5xz*Q4=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: true
                    createdAt: 1592815197
                    hooks:
                      data:
                        - hook: before_message
                          description: >-
                            The hook will be triggered before adding message to
                            database.
                          isActive: true
                          enabled: 1
                          createdAt: 1555001765
                    categories:
                      data: []
                  - id: stickers
                    name: Stickers
                    tagLine: Send & manage stickers
                    description: Send & manage stickers
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://stickers-eu.cometchat.io/v1/react
                    accessToAppData: false
                    adminURL: >-
                      https://stickers-eu.cometchat.io/v1/show-setting?appToken=geCcCA2y__JXNDpLJVdERM1ysruVsaoABrxO9Xzqu*bk=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1592815197
                    hooks:
                      data: []
                    categories:
                      data: []
                  - id: intercom
                    name: Intercom
                    tagLine: >-
                      Connect and exchange messages between CometChat and
                      Intercom
                    description: >-
                      Connect and exchange messages between CometChat and
                      Intercom
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://intercom-eu.cometchat.io/v1/contact-support
                    accessToAppData: false
                    adminURL: >-
                      https://intercom-eu.cometchat.io/v1/show-setting?appToken=geCcCA2y__JXNDpLJVdERM1ysruVsaoABrxO9Xzqu*bk=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: true
                    createdAt: 1622447638
                    hooks:
                      data:
                        - hook: after_message
                          description: The hook triggers after sending a message.
                          isActive: true
                          enabled: 1
                          createdAt: 1555001765
                    categories:
                      data: []
                  - id: broadcast
                    name: Video Broadcasting
                    tagLine: >-
                      Real-time live video streaming & broadcasting to 1000s of
                      viewers
                    description: >-
                      Real-time live video streaming & broadcasting to 1000s of
                      viewers
                    author: CometChat
                    email: help@cometchat.com
                    accessToAppData: false
                    adminURL: >-
                      https://broadcasting-eu.cometchat.io/v1/show-setting?appToken=Lv2_oE3L6JHOMbOiNNBjWsi0v6mV9r-aKVLofy_KZ7s=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: true
                    createdAt: 1622447638
                    hooks:
                      data: []
                    categories:
                      data: []
                  - id: virus-malware-scanner
                    name: Virus Malware Scanner
                    tagLine: Scan user uploaded files & media for viruses and malware.
                    description: Scan user uploaded files & media for viruses and malware.
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://virus-malware-scanner-eu.cometchat.io/v1/scan
                    accessToAppData: false
                    adminURL: >-
                      https://virus-malware-scanner-eu.cometchat.io/v1/show-setting?appToken=cDnVkg8SFY7wjiaHjpGWyTqYaw9ekcrk-tAHhSyxkDc=.eyJhcHBJZCI6IjE5NzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: true
                    createdAt: 1568373925
                    hooks:
                      data:
                        - hook: after_message
                          description: The hook triggers after sending a message
                          isActive: true
                          enabled: 1
                          createdAt: 1552383451
                    categories:
                      data: []
                  - id: stickers
                    name: Stickers
                    tagLine: Enables Stickers.
                    description: >-
                      The Stickers Extension is more like an image manager which
                      allows you to quickly add/remove stickers directly from
                      the dashboard.
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://stickers-eu.cometchat.io/v1/
                    accessToAppData: false
                    adminURL: >-
                      https://stickers-eu.cometchat.io/v1/show-setting?appToken=cDnVkg8SFY7wjiaHjpGWyTqYaw9ekcrk-tAHhSyxkDc=.eyJhcHB6dd
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1568373925
                    hooks:
                      data:
                        - hook: after_message
                          description: The hook triggers after sending a message
                          isActive: true
                          enabled: 1
                          createdAt: 1552383451
                    categories:
                      data: []
                  - id: sms-notification
                    name: SMS Notification
                    tagLine: Notify users via sms for unread messages.
                    description: Notify users via sms for unread messages.
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://sms-notification-eu.cometchat.io/v1/send-sms
                    accessToAppData: false
                    adminURL: >-
                      https://sms-notification-eu.cometchat.io/v1/show-setting?appToken=cDnVkg8SFY7wjiaHjpGWyWqAaw1ekcrk
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1568373925
                    hooks:
                      data:
                        - hook: after_message
                          description: The hook triggers after sending a message
                          isActive: true
                          enabled: 1
                          createdAt: 1552383451
                    categories:
                      data: []
                  - id: email-replies
                    name: Email Replies
                    tagLine: >-
                      Respond to conversations by replying to email
                      notifications
                    description: >-
                      Respond to conversations by replying to email
                      notifications
                    author: CometChat
                    email: help@cometchat.com
                    webhookURL: https://email-replies-eu.cometchat.io/v1/
                    accessToAppData: false
                    adminURL: >-
                      https://email-replies-eu.cometchat.io/v1/show-setting?appToken=cDnVkg8SFY7wjiaHjpGWyTqYaw9ekcrk-tAHhSyxkDc=.eyJhcHBJZzQ0OGU3NzlmMGZhYyJ9
                    websiteURL: https://www.cometchat.com
                    isActive: true
                    isPrivate: false
                    isInvisible: false
                    isThirdParty: false
                    createdAt: 1568373925
                    hooks:
                      data:
                        - hook: after_message
                          description: The hook triggers after sending a message
                          isActive: true
                          enabled: 1
                          createdAt: 1552383451
                    categories:
                      data: []
                meta:
                  pagination:
                    total: 32
                    count: 25
                    per_page: 25
                    current_page: 1
                    total_pages: 2
                    links:
                      next: >-
                        http://apimgmt-local.cometchat-dev.com//apps/197448e779f0fac/extensions?page=2
components:
  parameters:
    key:
      name: key
      in: header
      description: Authorization Key
      required: true
      schema:
        type: string
    secret:
      name: secret
      in: header
      description: Authorization Secret
      required: true
      schema:
        type: string
    appId:
      name: appId
      in: path
      description: AppID in which the extension has to be enabled/disabled
      required: true
      schema:
        type: string
    perPage--extensions:
      name: perPage
      in: query
      description: >-
        Number of extensions to be fetched in a request. The default value is 25
        and the maximum value is 1000.
      schema:
        type: string
        default: '25'
  schemas:
    extensionListSchema:
      properties:
        email-notification:
          properties:
            id:
              type: string
            name:
              type: string
            tagline:
              type: string
          type: object
        human-moderation:
          properties:
            id:
              type: string
            name:
              type: string
            tagline:
              type: string
          type: object
        image-moderation:
          properties:
            id:
              type: string
            name:
              type: string
            tagline:
              type: string
          type: object
        link-preview:
          properties:
            id:
              type: string
            name:
              type: string
            tagline:
              type: string
          type: object
        message-translation:
          properties:
            id:
              type: string
            name:
              type: string
            tagline:
              type: string
          type: object
        profanity-filter:
          properties:
            id:
              type: string
            name:
              type: string
            tagline:
              type: string
          type: object
        push-notification:
          properties:
            id:
              type: string
            name:
              type: string
            tagline:
              type: string
          type: object
        thumbnail-generation:
          properties:
            id:
              type: string
            name:
              type: string
            tagline:
              type: string
          type: object
        broadcast:
          properties:
            id:
              type: string
            name:
              type: string
            tagline:
              type: string
          type: object
      type: object
    metaSchema:
      properties:
        pagination:
          properties:
            total:
              type: integer
            count:
              type: integer
            per_page:
              type: integer
            current_page:
              type: integer
            total_pages:
              type: integer
            links:
              type: string
          type: object
      type: object

````